<?php
$dossier="sequences/";
if($_POST['action']=="ecrire"){
    $fichier="";
    if(isset($_POST['fichier'])){
        if($_POST['fichier']=="new"){
            $fichier=$dossier.date("Y_m_d_H\hi\ms").".txt";
        } else {
            $fichier=$_POST['fichier'];
        }
    } else {
        die("echec");
    }
    $liste=$_POST['liste'];
    $myfile = fopen($fichier, "w") or die("echec");
    foreach($liste as $elem => $info){
        fwrite($myfile, $info['src']."\n");
    } 
    fclose($myfile);
    echo $fichier;
}

if($_POST['action']=="lire"){
    if(isset($_POST['fichier'])){
        $fichier=$_POST['fichier'];
    } else {
        die("Pas de fichier spécifié!");
    }

    $file = fopen($fichier, "r") or die("Le fichier n'existe pas!");

    $liste=array();    
    $r=fread($file,filesize($fichier));
    $lines=explode(PHP_EOL,$r);
    foreach($lines as $num => $line){
        $liste[$num]=array(
            "id" => $num,
            "src"=> $line
        );
    }
    fclose($file);
    echo json_encode($liste);
}
if($_POST['action']=="donner_liste"){
    // renvoie la liste des fichiers d'ordre
    $liste=glob($dossier."*.txt");
    echo "<select id='fichiers' name='fichiers'>";
    foreach($liste as $fichier){
        $path_parts = pathinfo($fichier);
        echo "<option value='".$fichier."'>".$path_parts['filename']."</option>";
    }
    echo "</select>";
}
?>